package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.SpecialLitigation;
import com.bcxin.ins.vo.*;
import com.bcxin.mybatisplus.service.IService;

public interface SpecialLitigationAPIService extends IService<SpecialLitigation> {
	
	public SpecialLitigation getSpecialLitigationBusiness(Long oid);
	
	public SpecialLitigation initSpecialLitigation();
	
	public void getSpecialLitigationVo_1BySpecial_id(SpecialLitigationVo_1 vo, Long ceID);
	
	public void getSpecialLitigationVo_2BySpecial_id(SpecialLitigationVo_2 vo, Long ceID);

	public void getSpecialLitigationVo_3BySpecial_id(SpecialLitigationVo_3 vo,
                                                Long ceID);

	public void accordingToTheSpecialLitigationVo_1SetUpSpecialLitigation(
            SpecialLitigationVo_1 vo, Long special_id);

	public void accordingToTheSpecialLitigationVo_2SetUpSpecialLitigation(
            SpecialLitigationVo_2 vo, Long special_id);

	public void accordingToTheSpecialLitigationVo_3SetUpSpecialLitigation(
            SpecialLitigationVo_3 vo, Long special_id);
}
